Lua_AwakeRecastSkillItem = class("Lua_AwakeRecastSkillItem", Lua_DisplayObject)
function Lua_AwakeRecastSkillItem:ctor(p)
	self:superCall("ctor", p, "AwakeRecastSkillItem_skin");
end

function Lua_AwakeRecastSkillItem:buildShowItem()
	self:superCall("buildShowItem"); 

	self.skil:setEnable(false);
	self.skil:addClickFuntion(self, self.onSkillBtnClick);
end

function Lua_AwakeRecastSkillItem:setData(data)
	if data == nil then
		return;
	end
	
	local skillVo  = Lua_SkillVo.new(data.skillId);
	self.data = {};
	self.data.name = skillVo.name
	self.data.skillIcon = skillVo.skillIcon;
	if tonumber(skillVo.skillType) == 1 then
		self.data.limittype = LanUtil.formateStr(LanUtil.getValue(144028), LanUtil.getValue(110600)); 
	elseif tonumber(skillVo.skillType) > 1 then
		self.data.limittype = LanUtil.formateStr(LanUtil.getValue(144028), LanUtil.getValue(110601));
	end
	self.data.cool = "[8495b4]"..LanUtil.getValue(126042).."[d5dff0]"..LanUtil.formateStr(LanUtil.getValue(110612), tostring(skillVo.cool)) 
	self.data.desc = skillVo.des
	self.data.atlas = skillVo.atlas
	self.data.recastLv = data.recastLv;
	self.data.isEnable = data.isEnable;

	self.skil:setAltas(skillVo.atlas, skillVo.skillIcon);
end

function Lua_AwakeRecastSkillItem:skillSetGray(val)
	self.skil:setGray(val);
end

function Lua_AwakeRecastSkillItem:skillSetEnable(val)
	self.skil:setEnable(val);
end

function Lua_AwakeRecastSkillItem:onSkillBtnClick()
	Lua_WindowUtil.openWin("Lua_RemoldSkillTipsWindow", nil, self.data)
end