Lua_AwakeSkillTipsWindow = class("Lua_AwakeSkillTipsWindow", Lua_Window);
function Lua_AwakeSkillTipsWindow:ctor()
	self:superCall("ctor", self.list);

	self.windowName = "Lua_AwakeSkillTipsWindow";
	self.skinName = "AwakeSkillWindow_skin"; 
	self.showBg = false;
	self.showClose = false;
	self.isClickClose = true;
end

function Lua_AwakeSkillTipsWindow:buildShowItem()
	self:superCall("buildShowItem");

	local param = Lua_WindowUtil.getWinData(self.windowName, true);
	self.skillName.text = param.name;
	self.skillTypeTxt.text = param.limittype;
	self.skillLdTxt.text = param.cool;
	self.skilltips.text = param.desc;
	self.skill:setAltas(param.atlas, tostring(param.skillIcon));
end

function Lua_AwakeSkillTipsWindow:showWin(param)
	if param.is_card == true then
		-- self.content.transform.localPosition = Vector3(646, -100, 0);
		LuaUtil.setObjPos(self.content, 646, -100, 0);
		self.maskBg:SetDimensions(3000, 2000);
	else
		-- self.content.transform.localPosition = Vector3(0, 0, 0);
		LuaUtil.setObjPos(self.content, 0, 0, 0);
	end
end