-- 幻化技能描述
Lua_AwakeUnrealSkillTipsWindow = class("Lua_AwakeUnrealSkillTipsWindow", Lua_Window);
function Lua_AwakeUnrealSkillTipsWindow:ctor()
	self:superCall("ctor", self.list);
	self.windowName = "Lua_AwakeUnrealSkillTipsWindow";
	self.skinName = "AwakeUnrealSkillWindow_skin";
	self.showBg = false;
	self.showClose = false;
	self.isClickClose = true;
end

function Lua_AwakeUnrealSkillTipsWindow:buildShowItem()
	self:superCall("buildShowItem");
	
	local param = Lua_WindowUtil.getWinData(self.windowName, true);
	self.skillName.text = param.name;
	self.skillTypeTxt.text = param.skillTypeName;
	self.skilltips1.text = param.des;

	if tonumber(param.cool) == 0 then
		self.skillLdTxt.text = LanUtil.getValue(120011); 
	else
		self.skillLdTxt.text = LanUtil.formateStr(LanUtil.getValue(110612), tostring(param.cool));
	end

	if param.isStateDes == true then
		self.skilltips2.text = "[00E125]"..param.stateDes.."[-]";
	else
		self.skilltips2.text = "[f42a2a]"..param.stateDes.."[-]";
	end
	self.skill:setAltas(tostring(param.atlas),tostring(param.skillIcon));
end

function Lua_AwakeUnrealSkillTipsWindow:showWin(param)
	-- self.content.transform.localPosition = Vector3(319, -60, 0);
	LuaUtil.setObjPos(self.content, 319, -60, 0);
end