Lua_AwakeChipItem = class("Lua_AwakeChipItem", Lua_DisplayObject);
function Lua_AwakeChipItem:ctor(p)
	self:superCall("ctor", p, "AwakeRemolItem_skin");
end

function Lua_AwakeChipItem:buildShowItem()
	self:superCall("buildShowItem");

	self.selectIcon:setEnable(false);
	self.itemIcon:addClickFuntion(self, self.setSelected)
end

function Lua_AwakeChipItem:setData(data)
	self.data = data;
	if data == nil then
		return;
	end

	local str = {"金", "木", "水", "火", "土"}
	self.elementLab.text = str[data.index];

	self.itemIcon:setAltas(data.altas, tostring(data.config.item_id))

	self.redDot:setEnable(self.data.isRecastRedDot);
end

function Lua_AwakeChipItem:setSelected()
	DataCenter.awakeRecastUtil.setSelectIragment = self.data.index;
	Lua_MsgUtil.callFunc("UPDATE_AWAKEREMOL", self.data);
end