-- 武库卡牌技能item
Lua_UnrealSkillItem = class("Lua_UnrealSkillItem", Lua_DisplayObject);
function Lua_UnrealSkillItem:ctor(p)
	self:superCall("ctor", p, "UnrealSkillItem_skin");
end

function Lua_UnrealSkillItem:buildShowItem()
	self:superCall("buildShowItem");

	self.iocn.clickScale = false;
end

function Lua_UnrealSkillItem:setSkillType(data)
	self.data = data;
	if data.skillType == 1 then
		self.skillLabel.text = "主";
	else
		self.skillLabel.text = "被";
	end
	
	if self.data.isStateDes == true then
		self.iocn:setGray(false);
	else
		self.iocn:setGray(true);
	end
	self.iocn:setAltas(tostring(data.atlas), tostring(data.skillIcon));
end

-- 卡牌背景添加点击方法
function Lua_UnrealSkillItem:setCanClick(val)
	if val == true then
		self.iocn.mouseEnable = true;
		self.iocn:addClickFuntion(self, self.onIconClick);
	else
		self.iocn.mouseEnable = false;
		self.iocn:removeClickFuntion(self, self.onIconClick);
	end
end

function Lua_UnrealSkillItem:onIconClick(go)
	Lua_WindowUtil.openWin("Lua_AwakeUnrealSkillTipsWindow", nil, self.data)
end

function Lua_UnrealSkillItem:dispose()
	self:superCall("dispose");
end