Lua_AwakeHeraldWindow = class("Lua_AwakeHeraldWindow", Lua_Window);
function Lua_AwakeHeraldWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_AwakeHeraldWindow";
	self.skinName = "AwakeHeraldWindow_skin";
	self.showBg = false;
	self.showClose = false;
	self.lastSendTime = 0;
end

function Lua_AwakeHeraldWindow:buildShowItem()
	self:superCall("buildShowItem");

	LuaUtil.setObjPos(self.content, 55, 17, 0);

	self.textArea = Lua_TextArea.new(self.content, 480, 130);
	self.textArea.insideItem.label.fontSize = 26;
	self.textArea.insideItem.label.spacingY = 5;
	self.textArea.insideItem.label.colorStr = Lua_ColorDefine.transColor("FFFFFF", 1);
	self.textArea:setLocation(-97, 32, 0);
	self.textArea:setText(LanUtil.getValue(126002));
	
	self.awakeBtn:addClickFuntion(self, self.onBtnCloseClick);
end

function Lua_AwakeHeraldWindow:dispose()
	if self.textArea ~= nil then
		self.textArea:dispose();
		self.textArea = nil;
	end
	self:superCall("dispose");
end