Lua_RemoldSkillTipsWindow = class("Lua_RemoldSkillTipsWindow", Lua_Window);
function Lua_RemoldSkillTipsWindow:ctor()
	self:superCall("ctor", self.list);

	self.windowName = "Lua_RemoldSkillTipsWindow";
	self.skinName = "RemoldSkillTipsWindow_skin"; 
	self.showBg = false;
	self.showClose = false;
	self.isClickClose = true;
end

function Lua_RemoldSkillTipsWindow:buildShowItem()
	self:superCall("buildShowItem");

	-- self.content.transform.localPosition = Vector3(43, -12, 0);
	LuaUtil.setObjPos(self.content, 43, -12, 0);

	local param = Lua_WindowUtil.getWinData(self.windowName, true);
	self.skillName.text = "[48D7F5]"..param.name.."[-]";
	self.skillType.text = param.limittype;
	self.skillCooling.text = param.cool;
	self.skillDescribe.text = param.desc;

	self.skill:setAltas(param.atlas, tostring(param.skillIcon));
	if param.isEnable == true then
		self.skillCondition.text = "";
	else
		self.skillCondition.text = LanUtil.formateStr(LanUtil.getValue(126041), tostring(param.recastLv))
	end
end